Menu icon Foundation
Error after upgrade to foundation 5.5

I have upgraded a project to foundation 5.5 but now get the following error when compiling via SASS:

error scss/app.scss (Line 247 of bower_components/foundation/scss/foundation/components/_top-bar.scss: Incompatible units: 'rem' and 'px'.)

I'm using Compass 1.0.1 and SASS 3.4.9.

Anyone know what might be wrong?

Thanks

Richard

5.5upgrade

I have upgraded a project to foundation 5.5 but now get the following error when compiling via SASS:

error scss/app.scss (Line 247 of bower_components/foundation/scss/foundation/components/_top-bar.scss: Incompatible units: 'rem' and 'px'.)

I'm using Compass 1.0.1 and SASS 3.4.9.

Anyone know what might be wrong?

Thanks

Richard

This post has been closed. No new replies can be added.

Rafi Benkual almost 5 years ago

You may have a function that mixes px and rem which doesn't work. Best would be to make sure all values are in rem or rem-calc(). Try changing the top-bar height in _settings.scss to a rem-calc:

// $topbar-height: rem-calc(45);

Richard Holmes almost 5 years ago

Thanks that was the problem. I remember having to use px for some reason at the time (something to do with a jQuery animation I had) but it's all working fine with rem-calc() now!

Thanks again.

Richard